ExtUtils::XSpp::Node::File(3pm)

NAME
ExtUtils::XSpp::Node::File - Directive that sets the name of the output file

DESCRIPTION
An ExtUtils::XSpp::Node subclass representing a directive to change the name of the output file:

  %file{file/to/write/to.xs}

A special case is

  %file{-}

which indicates that output should be written to STDOUT.

METHODS

  new
Creates a new "ExtUtils::XSpp::Node::File".

Named parameters: "file", the path to the file that should be written to (or '-').

ACCESSORS

  file
Returns the path of the file to write to (or "-" for STDOUT).